
from os import path
from setuptools import setup

this_directory = path.abspath(path.dirname(__file__))
with open(path.join(this_directory, 'README.md')) as f:
    long_description = f.read()

setup(name='picassools',
      version='0.0.0',
      packages=["picassools", "picassools.tests"],
      install_requires=['opencv-python', 'numpy'],
      scripts=['bin/picassools'],
      test_suite='picassools.tests',
      description='Collection of scripts for image manipulation.',
      long_description=long_description,
      long_description_content_type='text/markdown',
      url="https://gitlab.sauerburger.com/frank/picassools",
      author="Frank Sauerburger",
      author_email="frank@sauerburger.com",
      keywords="image maipulation median-stack",
      license="MIT",
      platforms=["Linux", "Unix"],
      classifiers=["Intended Audience :: Developers",
                   "License :: OSI Approved :: MIT License",
                   "Programming Language :: Python :: 3.4",
                   "Programming Language :: Python :: 3.5",
                   "Programming Language :: Python :: 3.6",
                   "Programming Language :: Python :: 3.7",
                   ]
      )
